﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=391641

namespace CalAppoimentSample
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
            calendar.SelectedDate = DateTime.Today;
            LoadAppointments();
            this.NavigationCacheMode = NavigationCacheMode.Required;
        }
        public void LoadAppointments()
        {
            AppointmentSource appointment = this.Resources["Appointments"] as AppointmentSource;
            ObservableCollection<string> list = new ObservableCollection<string>();
            list.Add("1. Go to Church");
            list.Add("2. Attend assembly");
            appointment.Add(DateTime.Now.Date, new Appointment(list));
            ObservableCollection<string> list2 = new ObservableCollection<string>();
            list2.Add("1. Meet General manager");
            list2.Add("2. Attend Meeting");
            appointment.Add(DateTime.Now.AddDays(2).Date, new Appointment(list2));
            ObservableCollection<string> list3 = new ObservableCollection<string>();
            list3.Add("1. Go to art museum");
            list3.Add("2. Fond of paintings");
            list3.Add("3. visit loure at paris");
            appointment.Add(DateTime.Now.AddDays(-2).Date, new Appointment(list3));
            ObservableCollection<string> list4 = new ObservableCollection<string>();
            list4.Add("1. Dental checkup");
            list4.Add("2. Brooklyn medical univercity");
            list4.Add("3. Regular checkup");
            appointment.Add(DateTime.Now.AddDays(-5).Date, new Appointment(list4));
        }

        /// <summary>
        /// Invoked when this page is about to be displayed in a Frame.
        /// </summary>
        /// <param name="e">Event data that describes how this page was reached.
        /// This parameter is typically used to configure the page.</param>
        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
            // TODO: Prepare page for display here.

            // TODO: If your application contains multiple pages, ensure that you are
            // handling the hardware Back button by registering for the
            // Windows.Phone.UI.Input.HardwareButtons.BackPressed event.
            // If you are using the NavigationHelper provided by some templates,
            // this event is handled for you.
        }
    }

    public class Appointment
    {
        public ObservableCollection<string> Descriptionlist { get; set; }
        public Appointment(ObservableCollection<string> _desc)
        {

            Descriptionlist = _desc;

        }
    }
    public class AppointmentSource : Dictionary<DateTime, Appointment>
    {
        public AppointmentSource()
        {

        }
    }
    public class CellDescriptionConverter : IValueConverter
    {

        public object Convert(object value, Type targetType, object parameter, string language)
        {
            var appointments = parameter as Dictionary<DateTime, Appointment>;
            var date = ((DateTime)value).Date;
            if (appointments != null)
            {
                if (appointments.ContainsKey(date))
                {
                    ObservableCollection<string> str = (appointments[date].Descriptionlist as ObservableCollection<string>);
                    return str;
                }
            }
            return null;
        }

        public object ConvertBack(object value, Type targetType, object parameter, string language)
        {
            return value;
        }
    }
}
